[arch-commits] Commit in mono/trunk (3 files)

Jan de Groot jgc at archlinux.org
Thu Oct 30 19:13:01 EDT 2008


    Date: Thursday, October 30, 2008 @ 19:13:01
  Author: jgc
Revision: 17548

Remove old patch
Prepare for 2.0.1
Add patch to solve https://bugzilla.novell.com/show_bug.cgi?id=434892

Added:
  mono/trunk/bug434892.patch
Modified:
  mono/trunk/PKGBUILD
Deleted:
  mono/trunk/mono-1.9.1-wapi_glop.diff

---------------------------+
 PKGBUILD                  |   10 +++++-----
 bug434892.patch           |   11 +++++++++++
 mono-1.9.1-wapi_glop.diff |   16 ----------------
 3 files changed, 16 insertions(+), 21 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-10-30 23:02:42 UTC (rev 17547)
+++ PKGBUILD	2008-10-30 23:13:01 UTC (rev 17548)
@@ -3,7 +3,7 @@
 # Contributor: Brice Carpentier <brice at dlfp.org>
 
 pkgname=mono
-pkgver=2.0
+pkgver=2.0.1
 pkgrel=1
 pkgdesc="Free implementation of the .NET platform including runtime and compiler"
 arch=(i686 x86_64)
@@ -14,10 +14,10 @@
 options=('!libtool' '!makeflags')
 source=(http://www.go-mono.com/sources/${pkgname}/${pkgname}-${pkgver}.tar.bz2
         mono.rc.d
-	mono-1.9.1-wapi_glop.diff)
-md5sums=('d8fb1b2bab0066b82289b8a5856b9705'
+	bug434892.patch)
+md5sums=('60ab4d1d1990826578891e90cd560fa0'
          '8315e46c6a6e9625502521fc0ad1a322'
-         'dbedac8463eceba2b05194d4e8ceda6c')
+	 '17bb6ac89946b872041a15a7fa2851d6')
 
 build() {
   # get rid of that .wapi errors; thanks to brice
@@ -26,6 +26,7 @@
   mkdir -p ${startdir}/pkg/usr/share/licenses/$pkgname
   # build mono
   cd ${startdir}/src/${pkgname}-${pkgver}
+  patch -Np1 -i ${srcdir}/bug434892.patch || return 1
   rm -f libgc/libtool.m4
   autoreconf --force --install
   autoreconf --force --install libgc
@@ -34,7 +35,6 @@
               --with-tls=pthread --with-jit=yes --with-preview=yes \
               --with-sigaltstack=yes --enable-nunit-tests \
 	      --with-moonlight=yes
-  #patch -Np0 -i ../mono-1.9.1-wapi_glop.diff || return 1
   make || return 1
   sed -i "/NO_INSTALL = yes/d" mcs/nunit20/nunit-console/Makefile
   make DESTDIR=${startdir}/pkg install

Added: bug434892.patch
===================================================================
--- bug434892.patch	                        (rev 0)
+++ bug434892.patch	2008-10-30 23:13:01 UTC (rev 17548)
@@ -0,0 +1,11 @@
+--- trunk/mcs/class/System.Web.Services/System.Web.Services.Description/BasicProfileChecker.cs	2008/07/01 20:17:46	107006
++++ trunk/mcs/class/System.Web.Services/System.Web.Services.Description/BasicProfileChecker.cs	2008/10/28 09:32:46	117243
+@@ -177,7 +177,7 @@
+ 				foreach (OperationMessage om in op.Messages) {
+ 					Message msg = ctx.Services.GetMessage (om.Message);
+ 					foreach (MessagePart part in msg.Parts)
+-						parts.Add (part,part);
++						parts [part] = part; // do not use Add() - there could be the same MessagePart instance.
+ 				}
+ 			}
+ 			

Deleted: mono-1.9.1-wapi_glop.diff
===================================================================
--- mono-1.9.1-wapi_glop.diff	2008-10-30 23:02:42 UTC (rev 17547)
+++ mono-1.9.1-wapi_glop.diff	2008-10-30 23:13:01 UTC (rev 17548)
@@ -1,16 +0,0 @@
---- ./mono/io-layer/wapi_glob.c.orig	2008-06-13 09:27:08.361391740 +0200
-+++ ./mono/io-layer/wapi_glob.c	2008-06-13 09:27:36.338060353 +0200
-@@ -52,6 +52,13 @@
- #include <string.h>
- #include <unistd.h>
- 
-+#if defined(_SC_ARG_MAX)
-+# if defined(ARG_MAX)
-+#    undef ARG_MAX
-+# endif
-+# define ARG_MAX sysconf (_SC_ARG_MAX)
-+#endif"
-+
- #include "wapi_glob.h"
- 
- #define	EOS		'\0'




More information about the arch-commits mailing list